%define real_name CGI-Builder-HTMLtmpl

Summary:	CGI::Builder and HTML::Template integration
Name:		perl-%{real_name}
Version:	1.21
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOMIZIO/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI-Builder
BuildRequires:	perl-OOTools
BuildRequires:	perl-HTML-Template
BuildRequires:	perl-IO-Util
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module transparently integrates CGI::Builder and HTML::Template in a very
handy and flexible framework that can save you some coding. It provides you a
mostly automatic template system based on HTML::Template: usually you will have
just to supply the run time values to the object and this extension will manage
automatically all the other tasks of the page production process (such as
generating the output and setting the page_content property).

%prep

%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CGI/Builder/*
%{_mandir}/*/*


%changelog
* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdv2008.0
+ Revision: 26919
- add more build deps
- add more build deps per Makefile.PL
- Import perl-CGI-Builder-HTMLtmpl



* Tue May 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdv2007.1
- initial Mandriva package
